body { 

    --padding-total: 4rem;

    --min-page-height: calc(100vh - var(--padding-total));
    --min-page-height: calc(100dvh - var(--padding-total));

	align-items: center;
	background: #fff;
	box-sizing: border-box;
	display: flex;
	justify-content: center;
	min-height: var(--min-page-height);
	margin: 0;
	padding: calc(var(--padding-total) / 2);

}

img.logo {
	margin: 0;
}
@media only screen and ( orientation: landscape ) {

	img.logo {
    width: auto;
    max-height: 90dvh;
	}

}
@media only screen and ( orientation: portrait ) {

	img.logo {
    max-width: 90vw;
    height: auto;
	}

}